Download it now!
Bug 129205 - An image in a DOCX header is invisible
Summary: An image in a DOCX header is invisible
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.0.4 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL: https://ask.libreoffice.org/en/questi...
Whiteboard: target:6.5.0 target:6.4.0.2 target:6.3.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-12-05 11:38 UTC by Mike Kaganski
Modified: 2020-01-09 11:09 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
An image in the header (27.82 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-12-05 11:38 UTC, Mike Kaganski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2019-12-05 11:38:07 UTC
Created attachment 156327 [details]
An image in the header

The image in the header of attached DOCX document is invisible starting from v.5.2

Regression after https://git.libreoffice.org/core/+/eae2331f83bd58bacccd898d60f6c5f54856c036

CCing Miklos: could you please take a look?
Comment 1 Xisco Faulí 2019-12-05 11:45:49 UTC
Reproduced in

Version: 6.5.0.0.alpha0+
Build ID: 304368c7be2c9e408cc3884183e39d90a4b15da7
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

Adding Cc: to Miklos Vajna
Comment 2 Commit Notification 2020-01-02 08:45:35 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/fbe7612d654be9dfe1ea6f2e67900eb4eec4202a

tdf#129205 DOCX import: handle the <w:shd w:val="nil" ...> paragraph property

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-01-03 07:12:20 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/dfd75ec6d4dcfec57607a8cf7c7a509c33bf2caa

tdf#129205 DOCX import: handle the <w:shd w:val="nil" ...> paragraph property

It will be available in 6.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2020-01-07 12:11:37 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: bf540873f5e258452fed5006f65a403c95e7872a
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Miklos, thanks for fixing this issue!!
Comment 5 Commit Notification 2020-01-09 11:09:11 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/62eee51aeaee380139126e21ac550e6e367164ab

tdf#129205 DOCX import: handle the <w:shd w:val="nil" ...> paragraph property

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.